#!/usr/bin/gnuplot

My = 365.25e6
a = 1000.0
b = 1.*My

f(x) = a*exp(-x/b)

fit f(x) "<awk '($1>0.5*365.25e6) && ($1<2.0*365.25e6)' decay.out" u 1:2 via a,b

print "a = ", a
print "b = ", b, " d = ", b/My, " My"

set xl "t [My]"
set yl "N []"

set xr [0:5]
set yr [0:]
set zeroaxis
set arrow from 0.2,graph 0 rto 0,graph 1 lt 0

p "decay.out" u ($1/My):2,\
  f(x*My) t sprintf("%.2f exp(-t/%.2f)", a, b/My) lw 3 dt 2 lc 'orange'

pa -1

set term png small
set out "decay2.png"
rep

q


