#!/usr/bin/awk -f

# Convert astorb.dat to makeinceres input format
# (=> tp.in and pl.in for numerical integrators).
# Miroslav Broz (miroslav.broz@email.cz), Mar 12th 2003

BEGIN{
  M_S = 1.9885e30;
  GMS = 0.2959122082855911e-03;
  gm["Ceres"] = 9.3835e20/M_S*GMS;
  gm["Vesta"] = 2.59076e20/M_S*GMS;

  n=0;
  TMP="";
  mmassive=0;
  OFMT=CONVFMT="%22.16e";
}
!/^#/ && (NF>0){
  if (n==0) {
#    od=substr($0,107,8);
    od=$17;
    year=substr(od,1,4);
    month=substr(od,5,2);
    day=substr(od,7,2);
    CMD = "jdate.pl jd " year " " month " " day;
    CMD | getline jd;
  }
  dsg=$2;
#  a=substr($0,169,13);
#  e=substr($0,159,10);
#  i=substr($0,149,10);
#  peri=substr($0,127,10);
#  node=substr($0,138,10);
#  m=substr($0,115,10);
#  a = $23;
  a = 2.50;  # au; INSIDE 3:1 RESONANCE
  e = $22;
  i = $21;
  node = $20;
  peri = $19;
  m = $18;

  mass = gm[dsg]+0.0;
  if (mass>0.0){
    mmassive++;
  } else {
    n++;
  }
  TMP = TMP a " " e " " i " " peri " " node " " m " " mass "\n";
}
END{
  print jd;
  print 11;
  print "T";
  print "(6(1x,e22.16))"
  print mmassive;
  print n;
  printf TMP;
}

